/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Verbosio XML Editor.
 *
 * The Initial Developer of the Original Code is
 * Alexander J. Vincent <ajvincent@gmail.com>.
 * Portions created by the Initial Developer are Copyright (C) 2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * Modify the selection or the document based on information from Verbosio.
 *
 * @param aType  String defining the event type.
 * @param aEvent nsIDOMEvent dispatched for master document (may be null)
 */
function notifyEvent(aType, aEvent) {
}

/**
 * Get a viewer node for a given document.
 *
 * @param aDocumentWrapper xeIDocumentWrapper needing a viewer.
 */
function getViewerNode(aDocumentWrapper) {
  // Create the node.
  var renderFrame = document.getElementByAttrKey(uuid, "renderFrame");
  renderFrame = renderFrame.cloneNode(true);
  renderFrame.removeAttribute("scopeid");
  renderFrame.removeAttribute("localid");
  var publicURI = aDocumentWrapper.publicURI;
  if (publicURI.substr(0, 9) != "chrome://")
    renderFrame.setAttribute("type", "content");
  renderFrame.setAttribute("src", "virtual://" + publicURI);

  // Add event listeners to wrapped document (for example, mutations).
  renderFrame.notifyEvent = notifyEvent;

  return renderFrame;
}

window.addEventListener("load", function addRenderTab(evt) {
  var viewTabs = document.getElementById("viewTabs");
  var tab = document.createElementNS(XUL_NS, "xul:tab");
  tab.setAttribute("class", "tab-bottom");
  tab.setAttribute("label", "Preview");
  tab.setAttribute("scopeid", uuid);
  viewTabs.appendChild(tab);
}, true);
